## ruffle-nightly-2025-04-16.tar.gz

=== desktop/packages/linux/Makefile ===
# Required tools: itstool gettext appstream
#
# See also:
#   * <https://specifications.freedesktop.org/desktop-entry-spec/latest/localized-keys.html>
#   * <https://freedesktop.org/software/appstream/docs/sect-Quickstart-Translation.html>

DESKTOP_FILE := rs.ruffle.Ruffle.desktop
METAINFO_FILE := rs.ruffle.Ruffle.metainfo.xml

DESKTOP_POT_PATH := locale/$(DESKTOP_FILE).pot
METAINFO_POT_PATH := locale/$(METAINFO_FILE).pot

METAINFO_PO_FILES := $(wildcard locale/$(METAINFO_FILE)/*.po)
DESKTOP_PO_FILES := $(wildcard locale/$(DESKTOP_FILE)/*.po)
DESKTOP_LINGUAS_FILE = locale/$(DESKTOP_FILE)/LINGUAS

_default: update apply

update:
	$(MAKE) -B $(DESKTOP_POT_PATH) $(METAINFO_POT_PATH)

apply:
	$(MAKE) -B $(METAINFO_FILE) $(DESKTOP_FILE)

.PHONY: _default update apply

# Create a PO template (.pot) file from the original file template
locale/%.pot: %.in
	mkdir -p locale
	xgettext -o "$@" "$<" --itstool --add-comments

# Generate MO from PO if needed (itstool needs it)
%.mo: %.po
	msgfmt -o "$@" "$<"

# Generate LINGUAS automatically based on .po files
$(DESKTOP_LINGUAS_FILE): $(DESKTOP_PO_FILES)
	mkdir -p locale/$(DESKTOP_FILE)
	for f in $^; do basename "$${f%.*}"; done > "$@"

# Generate metainfo using itstool
$(METAINFO_FILE): $(METAINFO_PO_FILES:.po=.mo)
	itstool -l metainfo -o "$@" -j "$@.in" $^

# Generate desktop file using msgfmt
$(DESKTOP_FILE): $(DESKTOP_LINGUAS_FILE)
	msgfmt --desktop -o "$@" --template "$@.in" -d locale/$(DESKTOP_FILE)

=== desktop/packages/linux/aur/ruffle-nightly-bin/PKGBUILD ===
# Maintainer: relrel <relrelbachar@gmail.com>
pkgname=ruffle-nightly-bin
pkgver=@VERSION@
pkgrel=1
pkgdesc="A Flash Player emulator written in Rust"
arch=('x86_64')
url="https://ruffle.rs/"
license=('Apache' 'MIT')
depends=(zlib libxcb alsa-lib)
provides=(ruffle)
conflicts=(ruffle)
source=("https://github.com/ruffle-rs/ruffle/releases/download/nightly-${pkgver//./-}/ruffle-nightly-${pkgver//./_}-linux-x86_64.tar.gz")
sha512sums=(@SHA512SUM@)

package() {
	cd "$srcdir/"
	install -Dm755 -t "$pkgdir/usr/bin/" ruffle
	install -Dm644 -t "$pkgdir/usr/share/doc/$pkgname/" README.md
	install -Dm644 -t "$pkgdir/usr/share/licenses/$pkgname/" LICENSE.md
	install -Dm644 -t "$pkgdir/usr/share/icons/hicolor/scalable/apps/" extras/rs.ruffle.Ruffle.svg
	install -Dm644 -t "$pkgdir/usr/share/applications/" extras/rs.ruffle.Ruffle.desktop
	install -Dm644 -t "$pkgdir/usr/share/metainfo/" extras/rs.ruffle.Ruffle.metainfo.xml
}
